Definition


New Search

GDI Heap Overflow Vulnerability

oval:org.mitre.oval:def:6062

Heap-based buffer overflow in an API in GDI in Microsoft Windows 2000 SP4 XP SP2 and SP3 Server 2003 SP1 and SP2 Vista Gold and SP1 and Server 2008 allows context-dependent attackers to cause a denial of service or execute arbitrary code via a WMF file with a malformed file-size parameter which would not be properly handled by a third-party application that uses this API for a copy operation aka "GDI Heap Overflow Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2003
  • Microsoft Windows Vista
  • Microsoft Windows 2000
  • Microsoft Windows XP
  • Microsoft Windows Server 2008
Class:
vulnerability
Reference(s):
  • CVE-2008-3465
Product(s):